## org.apache.lucene.benchmark.byTask.feeds
Class EnwikiDocMaker

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
          org.apache.lucene.benchmark.byTask.feeds.LineDocMaker
              org.apache.lucene.benchmark.byTask.feeds.EnwikiDocMaker

All Implemented Interfaces:
  DocMaker

    public class EnwikiDocMaker

extends LineDocMaker

A LineDocMaker which reads the uncompressed english wikipedia dump.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
`BODY_FIELD, BYTES_FIELD, config, DATE_FIELD, forever, ID_FIELD, indexVal, NAME_FIELD, storeVal, termVecVal, TITLE_FIELD`

Constructor Summary
`EnwikiDocMaker()`

Method Summary
`Document` `makeDocument()` Create the next document.

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.LineDocMaker
`getNextDocData, makeDocument, numUniqueTexts, resetInputs`

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
`addBytes, addUniqueBytes, collectFiles, getByteCount, getCount, getHtmlParser, numUniqueBytes, printDocStatistics, setConfig, setHTMLParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnwikiDocMaker

    public EnwikiDocMaker()

Method Detail

### makeDocument

    public Document makeDocument()
                          throws Exception

  Description copied from interface: `DocMaker`
  Create the next document.

  Specified by:
    `makeDocument` in interface `DocMaker`
  Overrides:
    `makeDocument` in class `LineDocMaker`
  Throws:
    `Exception`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.